Zum Hauptinhalt springen
GET
/
api
/
publicapi
/
v1
/
transactions
/
{transactionId}
Ruft Informationen zum Vorgang ab
curl --request GET \
  --url https://vantage-us.abbyy.com/api/publicapi/v1/transactions/{transactionId} \
  --header 'Authorization: Bearer <token>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "documents": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "businessRulesErrors": [
        {
          "currentFieldId": "<string>",
          "errorType": "<string>",
          "ruleId": "<string>",
          "customMessage": "<string>"
        }
      ],
      "classification": {
        "classConfidences": [
          {
            "classId": "<string>",
            "className": "<string>",
            "confidence": 123
          }
        ],
        "isResultClassConfident": true,
        "resultClass": {
          "id": "<string>",
          "name": "<string>"
        }
      },
      "resultFiles": [
        {
          "fileId": "<string>",
          "fileName": "<string>"
        }
      ]
    }
  ],
  "error": "<string>",
  "manualReviewLink": "<string>",
  "sourceFiles": [
    {
      "id": "<string>",
      "name": "<string>"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.abbyy.com/llms.txt

Use this file to discover all available pages before exploring further.

Autorisierungen

Authorization
string
header
erforderlich

The access token received from the authorization server in the OAuth 2.0 flow.

Pfadparameter

transactionId
string<uuid>
erforderlich

Transaction-Kennung. Diese erhalten Sie in der Antwort, nachdem die Transaction erfolgreich erstellt wurde.

Antwort

Transaction-Informationen wurden erfolgreich abgerufen

id
string<uuid>
erforderlich
status
enum<string>
erforderlich
Verfügbare Optionen:
New,
Processing,
Processed,
Failed,
Canceled
documents
object[] | null
error
string | null
sourceFiles
object[] | null